MetricsRegistry (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics.util
Class MetricsRegistry

    java.lang.Object
      org.apache.hadoop.metrics.util.MetricsRegistry

Deprecated. in favor of `MetricsRegistry`.

    @Deprecated
    @InterfaceAudience.LimitedPrivate(value={"HDFS","MapReduce"})
    public class MetricsRegistry

extends Object

This is the registry for metrics. Related set of metrics should be declared in a holding class and registered in a registry for those metrics which is also stored in the the holding class.

Constructor Summary
`MetricsRegistry()` Deprecated.

Method Summary
`void` | `add(String metricsName, MetricsBase theMetricsObj)` Deprecated. Add a new metrics to the registry
`MetricsBase` | `get(String metricsName)` Deprecated.
`Collection<String>` | `getKeyList()` Deprecated.
`Collection<MetricsBase>` | `getMetricsList()` Deprecated.
`int` | `size()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetricsRegistry

    public MetricsRegistry()

  Deprecated.

Method Detail

### size

    public int size()

  Deprecated.
  Returns:
    number of metrics in the registry

### add

    public void add(String metricsName,
                    MetricsBase theMetricsObj)

  Deprecated.
  Add a new metrics to the registry

  Parameters:
    `metricsName` - - the name
    `theMetricsObj` - - the metrics
  Throws:
    `IllegalArgumentException` - if a name is already registered

### get

    public MetricsBase get(String metricsName)

  Deprecated.
  Parameters:
    `metricsName` -
  Returns:
    the metrics if there is one registered by the supplied name. Returns null if none is registered

### getKeyList

    public Collection<String> getKeyList()

  Deprecated.
  Returns:
    the list of metrics names

### getMetricsList

    public Collection<MetricsBase> getMetricsList()

  Deprecated.
  Returns:
    the list of metrics

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation